﻿@model FQ.MD.WEB.ViewModels.Form.RoleMenuEditForm
@using FQ.MD.WEB.Resources

@{
    ViewBag.Title = Res.Edit;
}

<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="/"><i class="fas fa-home"></i> Dashboard</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index", "Roles")">@Res.Roles</a></li>
        <li class="breadcrumb-item"><a href="@Url.Action("Index", new { RoleId = Model.RoleId })">@Res.Menus</a></li>
        <li class="breadcrumb-item active" aria-current="page">@ViewBag.Title</li>
    </ol>
</nav>


<div class="card">
    <div class="card-header">
        <div class="row">
            <label class="col-md-2 font-weight-bold">@Res.Role</label>
            <label class="col-md-6">: @ViewBag.Role</label>
        </div>
        <div class="row">
            <div class="col-6">
            </div>
            <div class="col-6">
            </div>
        </div>
    </div>
    <div class="card-body">
        @using (Html.BeginForm())
        {
            @Html.AntiForgeryToken()
            @Html.HiddenFor(model => model.RoleMenuId)
            @Html.HiddenFor(model => model.RoleId)
            <div class="form-horizontal">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Menu</label>
                    <div class="col-md-6">
                        @Html.DropDownList("MenuId", null, htmlAttributes: new { @class = "form-control", @disabled = "disabled" })
                        @Html.ValidationMessageFor(model => model.MenuId, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Show</label>
                    <div class="col-md-6">
                        @Html.CheckBoxFor(model => model.GrantRead, new { @checked = "checked" })
                        @Res.Yes
                        @Html.ValidationMessageFor(model => model.GrantRead, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Add</label>
                    <div class="col-md-6">
                        @Html.CheckBoxFor(model => model.GrantCreate, new { @checked = "checked" })
                        @Res.Yes
                        @Html.ValidationMessageFor(model => model.GrantCreate, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Edit</label>
                    <div class="col-md-6">
                        @Html.CheckBoxFor(model => model.GrantUpdate, new { @checked = "checked" })
                        @Res.Yes
                        @Html.ValidationMessageFor(model => model.GrantUpdate, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Delete</label>
                    <div class="col-md-6">
                        @Html.CheckBoxFor(model => model.GrantDelete, new { @checked = "checked" })
                        @Res.Yes
                        @Html.ValidationMessageFor(model => model.GrantDelete, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Sync</label>
                    <div class="col-md-6">
                        @Html.CheckBoxFor(model => model.GrantSync, new { @checked = "checked" })
                        @Res.Yes
                        @Html.ValidationMessageFor(model => model.GrantSync, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Grant @Res.Upload</label>
                    <div class="col-md-6">
                        @Html.CheckBoxFor(model => model.GrantUpload, new { @checked = "checked" })
                        @Res.Yes
                        @Html.ValidationMessageFor(model => model.GrantUpload, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <label class="control-label col-md-2">@Res.Status</label>
                    <div class="col-md-6">
                        @Html.CheckBoxFor(model => model.IsActive, new { @checked = "checked" })
                        @Res.IsActive
                        @Html.ValidationMessageFor(model => model.IsActive, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group row">
                    <div class="offset-md-2 col-md-6">
                        <input type="submit" value="@Res.Edit" class="btn btn-sm btn-primary" />
                        <input type="reset" value="@Res.Reset" class="btn btn-sm btn-danger" />
                    </div>
                </div>
            </div>
        }
    </div>
</div>